package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppStackerStand;

import java.util.List;

public interface AppStackerStandService extends IService<AppStackerStand> {

    List <AppStackerStand> queryStackerStand(Integer stackerId); // 根据 堆垛机ID查询堆垛机站台
    List <AppStackerStand> queryStandInfo(String standId); // 查询站台信息
    List<AppStackerStand> queryAll();
    int insert(AppStackerStand appStackerStand); //  添加或更新站台信息
    int update( AppStackerStand appStackerStand); // 更新站台信息
    int delete(String standId); // 删除站台信息
    List <AppStackerStand> queryStackerStand(List<String> standIdList); // 根据站台列表查询堆垛机站台
}
